package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author chiley
 * @date 2022/6/27 15:41
 */

@Schema(description = "热卖商品订单数据")
public class HotProductVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品主图片")
    private String spuImg;

    @Schema(description = "支付金额")
    private Double payAmount;

    @Schema(description = "订单数量")
    private Integer orderNums;

    @Schema(description = "商品数量")
    private Integer productNums;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSpuImg() {
        return spuImg;
    }

    public void setSpuImg(String spuImg) {
        this.spuImg = spuImg;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getOrderNums() {
        return orderNums;
    }

    public void setOrderNums(Integer orderNums) {
        this.orderNums = orderNums;
    }

    public Integer getProductNums() {
        return productNums;
    }

    public void setProductNums(Integer productNums) {
        this.productNums = productNums;
    }

    @Override
    public String toString() {
        return "HotProductVO{" +
                "spuId=" + spuId +
                ", spuName='" + spuName + '\'' +
                ", spuImg='" + spuImg + '\'' +
                ", payAmount=" + payAmount +
                ", orderNums=" + orderNums +
                ", productNums=" + productNums +
                '}';
    }
}
